---
title: XRSession.onselectend
slug: Web/API/XRSession/onselectend
tags:
  - API
  - AR
  - Augmented Reality
  - Event Handler
  - Reference
  - VR
  - Virtual Reality
  - WebXR Device API
  - XRSession
  - onselectend
---
<div>{{draft}}{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p><span class="seoSummary">The <code><strong>onselectend</strong></code> attribute of the {{DOMxRef("XRSession")}} object is the event handler for the {{DOMxRef("XRSession.selectend_event", "selectend")}} event, which is dispatched when user finishes making some sort of selection by releasing a trigger, touchpad, or button, finishes speaking a command, or makes a hand gesture. For example, this might include releasing a button or joystick.</span></p>

<div class="notecard note">
<p><strong>Note:</strong> Not to be confused with {{DOMxRef("XRSession.onselectstart")}} and {{DOMxRef("XRSession.onselect")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>XRSession</em>.onselectend = function(event) { ... }
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js"><em>XRSession</em>.onselectend = function(event) {
  console.log("The user has completed a primary action.")
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrsession-onselectend","XRSession.onselectend")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XRSession.onselectend")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("XRSession.onselectstart")}}</li>
 <li>{{DOMxRef("XRSession.onselect")}}</li>
</ul>
